#!/bin/sh

pkg=armsd
repo=svn+ssh://one.tokyo.iiji.jp/svnroot/jumar/arms/marmsd/trunk

ORIGPWD=`pwd`
TMPDIR=`mktemp -d`
SPECFILE=$TMPDIR/$pkg.spec

rm -rf $TMPDIR
mkdir -p $TMPDIR
cp $pkg.spec $SPECFILE
cd $TMPDIR

RPMROOT=$TMPDIR/rpmroot

mkdir -p $RPMROOT/BUILD
mkdir -p $RPMROOT/RPMS
mkdir -p $RPMROOT/SOURCES
mkdir -p $RPMROOT/SPECS

cp $SPECFILE $RPMROOT/SPECS
svn export -q $repo $pkg

revision=`env LANG=C svn info $repo | awk '/^Revision:/ { print $2 }'`
version=`awk '
/^%define vers_major/ { major=$3 }
/^%define vers_minor/ { minor=$3 }
END { print major "." minor }' $SPECFILE`
sed -i "s/^Release:.*/Release: r$revision/" $RPMROOT/SPECS/$pkg.spec

mv -i $pkg $pkg-$version
tar czf $pkg-$version.tar.gz $pkg-$version
mv $pkg-$version.tar.gz $RPMROOT/SOURCES/

cd $RPMROOT/SPECS/
rpmbuild -bb --define "_topdir $RPMROOT" $RPMROOT/SPECS/$pkg.spec

echo
echo ===========================
echo \* RPM packages built:
ls -1 $RPMROOT/RPMS/*
cp $RPMROOT/RPMS/*/* $ORIGPWD
rm -rf $TMPDIR
